For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_getTransactionReceipt - Sonic

Example code for the eth_getTransactionReceipt JSON-RPC method. Complete guide on how to use eth_getTransactionReceipt JSON-RPC in GetBlock Web3 documentation.

This method returns the receipt of a transaction identified by its hash. The receipt is available only after the transaction is mined and includes its status, gas used, and emitted logs.

Parameters

Parameter
Type
Required
Description

transactionHash

string

Yes

32-byte transaction hash

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionReceipt",
    "params": ["0x4a7b0c3d6e9f2a5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b"],
    "id": "getblock.io"
}'
example.js
const axios = require('axios');

const response = await axios.post('https://go.getblock.io/<ACCESS-TOKEN>/', {
    jsonrpc: '2.0',
    method: 'eth_getTransactionReceipt',
    params: ["0x4a7b0c3d6e9f2a5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b"],
    id: 'getblock.io'
}, {
    headers: { 'Content-Type': 'application/json' }
});

console.log(response.data.result);
example.py
import requests

response = requests.post(
    'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers={'Content-Type': 'application/json'},
    json={
        'jsonrpc': '2.0',
        'method': 'eth_getTransactionReceipt',
        'params': ["0x4a7b0c3d6e9f2a5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b"],
        'id': 'getblock.io'
    }
)

print(response.json())

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "transactionHash": "0x4a7b0c3d6e9f2a5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b",
        "transactionIndex": "0x0",
        "blockHash": "0x8e3f5b2a9c1d4e7f0a6b3c8d5e2f9a1b4c7d0e3f6a9b2c5d8e1f4a7b0c3d6e9f",
        "blockNumber": "0x1e8480",
        "from": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "to": "0x039e2fB66102314Ce7b64Ce5Ce3E5183bc94aD38",
        "cumulativeGasUsed": "0x5208",
        "gasUsed": "0x5208",
        "contractAddress": null,
        "status": "0x1",
        "effectiveGasPrice": "0x3b9aca00",
        "logs": [],
        "logsBloom": "0x00"
    }
}

Response Parameters

Parameter
Type
Description

jsonrpc

string

JSON-RPC protocol version ("2.0")

id

string

Request identifier matching the request

result

object

Transaction receipt object, or null if the transaction is pending or unknown

Result Object

Field
Type
Description

status

string

0x1 on success, 0x0 on failure

gasUsed

string

Gas used by this transaction

effectiveGasPrice

string

Actual gas price paid, in wei

contractAddress

string

Address of a created contract, or null

logs

array

Event logs emitted by the transaction

Use Cases

  • Confirmation Checks: Confirm a transaction succeeded by reading its status

  • Contract Deployment: Read the address of a newly deployed contract

  • Event Reads: Read the logs a transaction emitted

  • Gas Accounting: Read the actual gas used and price paid

Error Handling

Error Code
Message
Description

-32602

Invalid params

The transaction hash is not a valid 32-byte hex string

-32603

Internal error

The node failed to read the transaction

Web3 Integration

Was this helpful?